/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __MPTCPIFY_SKEL_H__
#define __MPTCPIFY_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct mptcpify {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *mptcpify;
	} progs;
	struct {
		struct bpf_link *mptcpify;
	} links;

#ifdef __cplusplus
	static inline struct mptcpify *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct mptcpify *open_and_load();
	static inline int load(struct mptcpify *skel);
	static inline int attach(struct mptcpify *skel);
	static inline void detach(struct mptcpify *skel);
	static inline void destroy(struct mptcpify *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
mptcpify__destroy(struct mptcpify *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
mptcpify__create_skeleton(struct mptcpify *obj);

static inline struct mptcpify *
mptcpify__open_opts(const struct bpf_object_open_opts *opts)
{
	struct mptcpify *obj;
	int err;

	obj = (struct mptcpify *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = mptcpify__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	mptcpify__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct mptcpify *
mptcpify__open(void)
{
	return mptcpify__open_opts(NULL);
}

static inline int
mptcpify__load(struct mptcpify *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct mptcpify *
mptcpify__open_and_load(void)
{
	struct mptcpify *obj;
	int err;

	obj = mptcpify__open();
	if (!obj)
		return NULL;
	err = mptcpify__load(obj);
	if (err) {
		mptcpify__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
mptcpify__attach(struct mptcpify *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
mptcpify__detach(struct mptcpify *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *mptcpify__elf_bytes(size_t *sz);

static inline int
mptcpify__create_skeleton(struct mptcpify *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "mptcpify";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "mptcpify";
	s->progs[0].prog = &obj->progs.mptcpify;
	s->progs[0].link = &obj->links.mptcpify;

	s->data = (void *)mptcpify__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *mptcpify__elf_bytes(size_t *sz)
{
	*sz = 1864;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x88\x05\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x07\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x6d\
\x6f\x64\x5f\x72\x65\x74\x2f\x75\x70\x64\x61\x74\x65\x5f\x73\x6f\x63\x6b\x65\
\x74\x5f\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x6c\x69\x63\x65\x6e\x73\x65\0\x6d\
\x70\x74\x63\x70\x69\x66\x79\x2e\x63\0\x4c\x42\x42\x30\x5f\x32\0\x4c\x42\x42\
\x30\x5f\x34\0\x4c\x42\x42\x30\x5f\x38\0\x4c\x42\x42\x30\x5f\x39\0\x6d\x70\x74\
\x63\x70\x69\x66\x79\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x42\x54\x46\0\x2e\
\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x39\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x44\0\0\0\0\0\x03\0\x38\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x4b\0\0\0\0\0\x03\0\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x52\0\0\0\0\0\x03\
\0\xb8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x59\0\0\0\0\0\x03\0\xc0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x60\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\xc8\0\0\0\0\0\0\0\x69\0\0\0\
\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x79\x12\0\0\0\0\0\0\x67\x02\0\0\
\x20\0\0\0\x77\x02\0\0\x20\0\0\0\xb7\x03\0\0\x01\0\0\0\xb7\x04\0\0\x01\0\0\0\
\x15\x02\x01\0\x02\0\0\0\xb7\x04\0\0\0\0\0\0\x15\x02\x01\0\x0a\0\0\0\xb7\x03\0\
\0\0\0\0\0\x79\x12\x10\0\0\0\0\0\x79\x11\x08\0\0\0\0\0\x67\x01\0\0\x20\0\0\0\
\x77\x01\0\0\x20\0\0\0\x55\x01\x09\0\x01\0\0\0\x4f\x43\0\0\0\0\0\0\x57\x03\0\0\
\x01\0\0\0\x15\x03\x06\0\0\0\0\0\xb7\0\0\0\x06\x01\0\0\xbf\x21\0\0\0\0\0\0\x67\
\x01\0\0\x20\0\0\0\x77\x01\0\0\x20\0\0\0\x15\x01\x02\0\x06\0\0\0\x15\x01\x01\0\
\0\0\0\0\xbf\x20\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x9f\xeb\
\x01\0\x18\0\0\0\0\0\0\0\xac\0\0\0\xac\0\0\0\xab\x01\0\0\0\0\0\0\0\0\0\x02\x02\
\0\0\0\x01\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\
\x14\0\0\0\x01\0\0\0\x18\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x1c\0\0\0\x01\0\
\0\x0c\x03\0\0\0\x25\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\
\0\0\0\x06\0\0\0\x08\0\0\0\x04\0\0\0\x2a\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\
\x3e\0\0\0\0\0\0\x0e\x07\0\0\0\x01\0\0\0\x83\x01\0\0\x01\0\0\x0f\x04\0\0\0\x09\
\0\0\0\0\0\0\0\x04\0\0\0\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\
\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x69\x6e\x74\0\x6d\x70\x74\x63\x70\x69\x66\
\x79\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\
\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\
\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\
\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x36\x2d\x72\x63\x34\x2d\x31\x32\x2d\x67\x63\
\x65\x33\x36\x63\x38\x62\x31\x34\x39\x38\x37\x2f\x6c\x69\x6e\x75\x78\x2d\x36\
\x2e\x36\x2e\x30\x2d\x30\x2e\x72\x63\x34\x2e\x32\x30\x32\x33\x31\x30\x30\x33\
\x67\x69\x74\x63\x65\x33\x36\x63\x38\x62\x31\x34\x39\x38\x37\x2e\x33\x33\x34\
\x2e\x74\x69\x2e\x65\x6c\x39\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\
\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\
\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x6d\x70\x74\x63\x70\x69\x66\
\x79\x2e\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x6d\x70\x74\
\x63\x70\x69\x66\x79\x2c\x20\x69\x6e\x74\x20\x66\x61\x6d\x69\x6c\x79\x2c\x20\
\x69\x6e\x74\x20\x74\x79\x70\x65\x2c\x20\x69\x6e\x74\x20\x70\x72\x6f\x74\x6f\
\x63\x6f\x6c\x29\0\x09\x69\x66\x20\x28\x28\x66\x61\x6d\x69\x6c\x79\x20\x3d\x3d\
\x20\x41\x46\x5f\x49\x4e\x45\x54\x20\x7c\x7c\x20\x66\x61\x6d\x69\x6c\x79\x20\
\x3d\x3d\x20\x41\x46\x5f\x49\x4e\x45\x54\x36\x29\x20\x26\x26\0\x09\x20\x20\x20\
\x20\x28\x21\x70\x72\x6f\x74\x6f\x63\x6f\x6c\x20\x7c\x7c\x20\x70\x72\x6f\x74\
\x6f\x63\x6f\x6c\x20\x3d\x3d\x20\x49\x50\x50\x52\x4f\x54\x4f\x5f\x54\x43\x50\
\x29\x29\x20\x7b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x66\x6d\x6f\x64\x5f\x72\x65\
\x74\x2f\x75\x70\x64\x61\x74\x65\x5f\x73\x6f\x63\x6b\x65\x74\x5f\x70\x72\x6f\
\x74\x6f\x63\x6f\x6c\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\
\x7c\0\0\0\x90\0\0\0\0\0\0\0\x08\0\0\0\x8b\x01\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\
\x10\0\0\0\x8b\x01\0\0\x07\0\0\0\0\0\0\0\x47\0\0\0\xe7\0\0\0\x05\x2c\0\0\x28\0\
\0\0\x47\0\0\0\x22\x01\0\0\x0e\x34\0\0\x48\0\0\0\x47\0\0\0\xe7\0\0\0\x05\x2c\0\
\0\x68\0\0\0\x47\0\0\0\x22\x01\0\0\x19\x34\0\0\x90\0\0\0\x47\0\0\0\xe7\0\0\0\
\x05\x2c\0\0\xa8\0\0\0\x47\0\0\0\x54\x01\0\0\x11\x3c\0\0\xc0\0\0\0\x47\0\0\0\
\xe7\0\0\0\x05\x2c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x80\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x98\x01\0\0\0\0\0\0\xc8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x31\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x60\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x72\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x02\0\0\
\0\0\0\0\x6f\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x77\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x04\0\0\0\0\0\0\xb0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct mptcpify *mptcpify::open(const struct bpf_object_open_opts *opts) { return mptcpify__open_opts(opts); }
struct mptcpify *mptcpify::open_and_load() { return mptcpify__open_and_load(); }
int mptcpify::load(struct mptcpify *skel) { return mptcpify__load(skel); }
int mptcpify::attach(struct mptcpify *skel) { return mptcpify__attach(skel); }
void mptcpify::detach(struct mptcpify *skel) { mptcpify__detach(skel); }
void mptcpify::destroy(struct mptcpify *skel) { mptcpify__destroy(skel); }
const void *mptcpify::elf_bytes(size_t *sz) { return mptcpify__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
mptcpify__assert(struct mptcpify *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __MPTCPIFY_SKEL_H__ */
