/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_SOCKMAP_PASS_PROG_SKEL_H__
#define __TEST_SOCKMAP_PASS_PROG_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_sockmap_pass_prog {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *sock_map_rx;
		struct bpf_map *sock_map_tx;
		struct bpf_map *sock_map_msg;
	} maps;
	struct {
		struct bpf_program *prog_skb_verdict;
	} progs;
	struct {
		struct bpf_link *prog_skb_verdict;
	} links;

#ifdef __cplusplus
	static inline struct test_sockmap_pass_prog *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_sockmap_pass_prog *open_and_load();
	static inline int load(struct test_sockmap_pass_prog *skel);
	static inline int attach(struct test_sockmap_pass_prog *skel);
	static inline void detach(struct test_sockmap_pass_prog *skel);
	static inline void destroy(struct test_sockmap_pass_prog *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_sockmap_pass_prog__destroy(struct test_sockmap_pass_prog *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_sockmap_pass_prog__create_skeleton(struct test_sockmap_pass_prog *obj);

static inline struct test_sockmap_pass_prog *
test_sockmap_pass_prog__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_sockmap_pass_prog *obj;
	int err;

	obj = (struct test_sockmap_pass_prog *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_sockmap_pass_prog__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_sockmap_pass_prog__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_sockmap_pass_prog *
test_sockmap_pass_prog__open(void)
{
	return test_sockmap_pass_prog__open_opts(NULL);
}

static inline int
test_sockmap_pass_prog__load(struct test_sockmap_pass_prog *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_sockmap_pass_prog *
test_sockmap_pass_prog__open_and_load(void)
{
	struct test_sockmap_pass_prog *obj;
	int err;

	obj = test_sockmap_pass_prog__open();
	if (!obj)
		return NULL;
	err = test_sockmap_pass_prog__load(obj);
	if (err) {
		test_sockmap_pass_prog__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_sockmap_pass_prog__attach(struct test_sockmap_pass_prog *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_sockmap_pass_prog__detach(struct test_sockmap_pass_prog *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_sockmap_pass_prog__elf_bytes(size_t *sz);

static inline int
test_sockmap_pass_prog__create_skeleton(struct test_sockmap_pass_prog *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_sockmap_pass_prog";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "sock_map_rx";
	s->maps[0].map = &obj->maps.sock_map_rx;

	s->maps[1].name = "sock_map_tx";
	s->maps[1].map = &obj->maps.sock_map_tx;

	s->maps[2].name = "sock_map_msg";
	s->maps[2].map = &obj->maps.sock_map_msg;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "prog_skb_verdict";
	s->progs[0].prog = &obj->progs.prog_skb_verdict;
	s->progs[0].link = &obj->links.prog_skb_verdict;

	s->data = (void *)test_sockmap_pass_prog__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_sockmap_pass_prog__elf_bytes(size_t *sz)
{
	*sz = 2920;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x68\x09\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x08\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x6b\
\x5f\x73\x6b\x62\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x74\x65\
\x73\x74\x5f\x73\x6f\x63\x6b\x6d\x61\x70\x5f\x70\x61\x73\x73\x5f\x70\x72\x6f\
\x67\x2e\x63\0\x70\x72\x6f\x67\x5f\x73\x6b\x62\x5f\x76\x65\x72\x64\x69\x63\x74\
\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x73\x6f\x63\x6b\x5f\x6d\x61\x70\x5f\x72\
\x78\0\x73\x6f\x63\x6b\x5f\x6d\x61\x70\x5f\x74\x78\0\x73\x6f\x63\x6b\x5f\x6d\
\x61\x70\x5f\x6d\x73\x67\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x04\0\xf1\
\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x3f\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x50\0\0\0\
\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x59\0\0\0\x11\0\x05\0\0\0\0\0\0\
\0\0\0\x20\0\0\0\0\0\0\0\x65\0\0\0\x11\0\x05\0\x20\0\0\0\0\0\0\0\x20\0\0\0\0\0\
\0\0\x71\0\0\0\x11\0\x05\0\x40\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xb7\0\0\0\x01\0\
\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x14\x04\0\0\x14\x04\0\0\xe3\x02\0\0\0\0\0\0\
\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\
\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x0f\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\
\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x14\0\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\
\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x2a\0\0\0\x07\0\0\0\x80\0\0\0\
\x2e\0\0\0\x07\0\0\0\xc0\0\0\0\x34\0\0\0\0\0\0\x0e\x08\0\0\0\x01\0\0\0\x40\0\0\
\0\0\0\0\x0e\x08\0\0\0\x01\0\0\0\x4c\0\0\0\0\0\0\x0e\x08\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\x02\x0d\0\0\0\x59\0\0\0\x22\0\0\x04\xc0\0\0\0\x63\0\0\0\x0e\0\0\0\0\0\
\0\0\x67\0\0\0\x0e\0\0\0\x20\0\0\0\x70\0\0\0\x0e\0\0\0\x40\0\0\0\x75\0\0\0\x0e\
\0\0\0\x60\0\0\0\x83\0\0\0\x0e\0\0\0\x80\0\0\0\x8c\0\0\0\x0e\0\0\0\xa0\0\0\0\
\x99\0\0\0\x0e\0\0\0\xc0\0\0\0\xa2\0\0\0\x0e\0\0\0\xe0\0\0\0\xad\0\0\0\x0e\0\0\
\0\0\x01\0\0\xb6\0\0\0\x0e\0\0\0\x20\x01\0\0\xc6\0\0\0\x0e\0\0\0\x40\x01\0\0\
\xce\0\0\0\x0e\0\0\0\x60\x01\0\0\xd7\0\0\0\x10\0\0\0\x80\x01\0\0\xda\0\0\0\x0e\
\0\0\0\x20\x02\0\0\xdf\0\0\0\x0e\0\0\0\x40\x02\0\0\xea\0\0\0\x0e\0\0\0\x60\x02\
\0\0\xef\0\0\0\x0e\0\0\0\x80\x02\0\0\xf8\0\0\0\x0e\0\0\0\xa0\x02\0\0\0\x01\0\0\
\x0e\0\0\0\xc0\x02\0\0\x07\x01\0\0\x0e\0\0\0\xe0\x02\0\0\x12\x01\0\0\x0e\0\0\0\
\0\x03\0\0\x1c\x01\0\0\x11\0\0\0\x20\x03\0\0\x27\x01\0\0\x11\0\0\0\xa0\x03\0\0\
\x31\x01\0\0\x0e\0\0\0\x20\x04\0\0\x3d\x01\0\0\x0e\0\0\0\x40\x04\0\0\x48\x01\0\
\0\x0e\0\0\0\x60\x04\0\0\0\0\0\0\x12\0\0\0\x80\x04\0\0\x52\x01\0\0\x14\0\0\0\
\xc0\x04\0\0\x59\x01\0\0\x0e\0\0\0\0\x05\0\0\x62\x01\0\0\x0e\0\0\0\x20\x05\0\0\
\0\0\0\0\x16\0\0\0\x40\x05\0\0\x6b\x01\0\0\x0e\0\0\0\x80\x05\0\0\x74\x01\0\0\
\x18\0\0\0\xa0\x05\0\0\x80\x01\0\0\x14\0\0\0\xc0\x05\0\0\x89\x01\0\0\0\0\0\x08\
\x0f\0\0\0\x8f\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x0e\0\0\0\x04\0\0\0\x05\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0e\0\0\0\x04\0\0\0\
\x04\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x9c\x01\0\0\x13\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x02\x1f\0\0\0\xa6\x01\0\0\0\0\0\x08\x15\0\0\0\xac\x01\0\0\0\0\0\x01\x08\
\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\xbf\x01\0\0\x17\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x02\x20\0\0\0\xc2\x01\0\0\0\0\0\x08\x19\0\0\0\xc7\x01\0\0\0\0\0\
\x01\x01\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\xd5\x01\0\0\x0c\0\0\0\
\xd9\x01\0\0\x01\0\0\x0c\x1a\0\0\0\xea\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\
\0\0\0\0\0\0\0\x03\0\0\0\0\x1c\0\0\0\x04\0\0\0\x04\0\0\0\xef\x01\0\0\0\0\0\x0e\
\x1d\0\0\0\x01\0\0\0\xf8\x01\0\0\0\0\0\x07\0\0\0\0\x06\x02\0\0\0\0\0\x07\0\0\0\
\0\xce\x02\0\0\x01\0\0\x0f\x04\0\0\0\x1e\0\0\0\0\0\0\0\x04\0\0\0\xd6\x02\0\0\
\x03\0\0\x0f\x60\0\0\0\x09\0\0\0\0\0\0\0\x20\0\0\0\x0a\0\0\0\x20\0\0\0\x20\0\0\
\0\x0b\0\0\0\x40\0\0\0\x20\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\
\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6d\x61\
\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x73\
\x6f\x63\x6b\x5f\x6d\x61\x70\x5f\x72\x78\0\x73\x6f\x63\x6b\x5f\x6d\x61\x70\x5f\
\x74\x78\0\x73\x6f\x63\x6b\x5f\x6d\x61\x70\x5f\x6d\x73\x67\0\x5f\x5f\x73\x6b\
\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x6d\x61\
\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\x6f\
\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\x76\
\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\x70\
\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\
\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\
\x63\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\0\x64\x61\
\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\x66\
\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\
\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\
\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\
\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\
\0\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\
\x73\x65\x67\x73\0\x67\x73\x6f\x5f\x73\x69\x7a\x65\0\x74\x73\x74\x61\x6d\x70\
\x5f\x74\x79\x70\x65\0\x68\x77\x74\x73\x74\x61\x6d\x70\0\x5f\x5f\x75\x33\x32\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x66\x6c\x6f\x77\x5f\x6b\x65\
\x79\x73\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\
\x6e\x67\x20\x6c\x6f\x6e\x67\0\x73\x6b\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x63\x68\x61\x72\0\x73\x6b\x62\0\x70\x72\x6f\x67\x5f\x73\x6b\
\x62\x5f\x76\x65\x72\x64\x69\x63\x74\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x62\x70\
\x66\x5f\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x36\
\x2d\x72\x63\x34\x2d\x31\x32\x2d\x67\x63\x65\x33\x36\x63\x38\x62\x31\x34\x39\
\x38\x37\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x36\x2e\x30\x2d\x30\x2e\x72\x63\
\x34\x2e\x32\x30\x32\x33\x31\x30\x30\x33\x67\x69\x74\x63\x65\x33\x36\x63\x38\
\x62\x31\x34\x39\x38\x37\x2e\x33\x33\x34\x2e\x74\x69\x2e\x65\x6c\x39\x2e\x61\
\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\
\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\
\x67\x73\x2f\x74\x65\x73\x74\x5f\x73\x6f\x63\x6b\x6d\x61\x70\x5f\x70\x61\x73\
\x73\x5f\x70\x72\x6f\x67\x2e\x63\0\x09\x72\x65\x74\x75\x72\x6e\x20\x53\x4b\x5f\
\x50\x41\x53\x53\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x73\
\x6b\x5f\x73\x6b\x62\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\
\x1c\0\0\0\x30\0\0\0\0\0\0\0\x08\0\0\0\xdc\x02\0\0\x01\0\0\0\0\0\0\0\x1b\0\0\0\
\x10\0\0\0\xdc\x02\0\0\x01\0\0\0\0\0\0\0\x0f\x02\0\0\xbd\x02\0\0\x02\x74\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x8c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xd0\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\
\x01\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x18\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x01\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\
\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x01\0\0\0\0\0\0\x60\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7e\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x02\0\0\0\0\0\0\x0f\x07\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x83\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x18\x09\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct test_sockmap_pass_prog *test_sockmap_pass_prog::open(const struct bpf_object_open_opts *opts) { return test_sockmap_pass_prog__open_opts(opts); }
struct test_sockmap_pass_prog *test_sockmap_pass_prog::open_and_load() { return test_sockmap_pass_prog__open_and_load(); }
int test_sockmap_pass_prog::load(struct test_sockmap_pass_prog *skel) { return test_sockmap_pass_prog__load(skel); }
int test_sockmap_pass_prog::attach(struct test_sockmap_pass_prog *skel) { return test_sockmap_pass_prog__attach(skel); }
void test_sockmap_pass_prog::detach(struct test_sockmap_pass_prog *skel) { test_sockmap_pass_prog__detach(skel); }
void test_sockmap_pass_prog::destroy(struct test_sockmap_pass_prog *skel) { test_sockmap_pass_prog__destroy(skel); }
const void *test_sockmap_pass_prog::elf_bytes(size_t *sz) { return test_sockmap_pass_prog__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_sockmap_pass_prog__assert(struct test_sockmap_pass_prog *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_SOCKMAP_PASS_PROG_SKEL_H__ */
